<?php
//****************************************************************
//      Контроль уровней         КНОПКИ РАЗРАБОТЧКА И ИХ СКРИПТЫ
//*****************************************************************
if (strpos($tabl,"-")==0)              // только таблицы данных
{if ($kpre==1)                         // если форма таблицы отца то кнопка
{
// для скрытия кнопки закоменнтируй ее //
echo "  <img src=../../../../d~e~f/do.bmp style='background:white;border:green thin double' onclick=button11(0)   
title='Контроль и сохранение данных. СТРОКИ всегда все'>";
echo "  <img src=../../../../d~e~f/do.bmp style='background:white;border:blue thin double' onclick=button12(0)  
 title='Переместить в базу, которые без ошибок'>";
echo "  <img src=../../../../d~e~f/do.bmp style='background:white;border:red thin double' onclick=button13(0) 
  title='Копировать в базу, которые без ошибок'>";
}}
?>
<script type="text/javascript">
//***************************
// обработчик отца 1 кнопка
//***************************
function button11(p)
{// сюда введи скрипт обработки на нажатие button11
// обычно это проверка данных таблицы
alert("Отработал скрипт button11")
if (!confirm(" Если все нормально щелкни OK. Для отмены щелкни Cancel"))
{return
}
else
{// если закомментировать следующую строку будет обработчик без серверной части
form.elements["button11"].click()   // выполним серверную часть обработчика отца
}}
//**************************
// обработчик отца 2 кнопка
//**************************
function button12(p)
{// сюда введи скрипт обработки на нажатие button1
// обычно это проверка данных таблицы
alert("Отработал скрипт button12")
if (!confirm(" Если все нормально щелкни OK. Для отмены щелкни Cancel"))
{return
}
else
{// если закомментировать следующую строку будет обработчик без серверной части
form.elements["button12"].click()   // выполним серверную часть обработчика сына
}}
//***************************
// обработчик отца 3 кнопка
//***************************
function button13(p)
{// сюда введи скрипт обработки на нажатие button3
// обычно это проверка данных таблицы
alert("Отработал скрипт button13")
if (!confirm(" Если все нормально щелкни OK. Для отмены щелкни Cancel"))
{return
}
else
{// если закомментировать следующую строку будет обработчик без серверной части
form.elements["button13"].click()   // выполним серверную часть обработчика внука
}}
</script>
